/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
ldse@hendriklipka.de
*/

package de.hendriklipka.ldse.client.ui;

import java.beans.*;
import java.awt.*;

import de.hendriklipka.ldse.client.SimpleQueryGenerator;
import de.hendriklipka.ldse.client.QueryGenerator;

/**
  Panel zur Eingabe der Parameter fuer eine einfache Suche
*/
public class SimpleQueryPanel extends de.hendriklipka.ldse.client.ui.QueryPanel
{
	public SimpleQueryPanel(QueryFrame parentFrame)
	{
	  super(parentFrame);
		setLayout(new BorderLayout(2,2));
		setSize(478,270);
		add("Center",textAreaWoerter);
		textAreaWoerter.setBounds(6,32,462,222);
		textAreaWoerter.setVisible(true);
		textAreaWoerter.setEnabled(true);
		labelWoerter.setText(simpleQueryPanelBundle.getString("labelWoerter_text"));
		add("North",labelWoerter);
		labelWoerter.setBounds(6,0,100,26);
		labelWoerter.setVisible(true);
		labelWoerter.setEnabled(true);
	}

	java.awt.TextArea textAreaWoerter = new java.awt.TextArea();
	java.awt.Label labelWoerter = new java.awt.Label();

  public void init()
  {
  }
  
  public void clear()
  {
  }
  
  public QueryGenerator getQueryGenerator()
  {
    return new SimpleQueryGenerator(textAreaWoerter.getText());
  }
  
  public String getQueryDescription()
  {
    return simpleQueryPanelBundle.getString("simple");
  }
	static java.util.ResourceBundle simpleQueryPanelBundle = java.util.ResourceBundle.getBundle("de.hendriklipka.ldse.client.ui.SimpleQueryPanelBundle");
}